#include <p18cxxx.h>
#define  USE_AND_MASKS
#include <pconfig.h>			// choix des fonctions en fonction du type de pic
#include <delays.h>
#include <stdio.h>
#include <timers.h>				// Timers
#include <portb.h>				// Interruptions Externes

#include "HardwareProfile.h"					
#pragma config OSC = INTIO67	// horloge interne
//#pragma config OSC = HS		// horloge externe
#pragma config WDT=OFF			// whatch dog
#pragma config LVP=OFF
/***********************************************************************************************/
#define opto PORTBbits.RB0
/***********************************************************************************************/
//  D.Nardi Rotating Leds Display
/***********************************************************************************************/
void Setup(void)
{
	TRISA=0;				// Port A en sortie
	TRISC=0;				// Port C en Sortie
	OSCCON=0x70;			// 0 111 00 0 00pas de prdiviseur => 8MHz horloge interne
	ADCON1=0x0F;			// toutes les entres en D
	TRISB=0xFF;				// PortB en entre		
	INTCON2bits.RBPU = 0;	// PullUP PortB ON	
	PORTA=0xff;
	PORTC=0xff;
}									
/*******************************************************************************************/
void main(void)
{
	unsigned char i;
	unsigned char j;
	unsigned char k;
	Setup();
	do
	{
		// IUT Nancy
		for(j=0;j<30;j++)
		{
				while (opto==1);
				while (opto==0);
				PORTA=0x80;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x80;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xc0;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xb7;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xb7;	PORTC=0x41;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xb7;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xc0;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff; Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x80;	PORTC=0x03;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xfd;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xfd;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xfd;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x80;	PORTC=0x03;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xc1;	PORTC=0x7f;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbe;	PORTC=0x7f;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbe;	PORTC=0x01;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbf;	PORTC=0x7f;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdd;	PORTC=0x7f;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff; Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);	
				PORTA=0xbf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xe0;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff; Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);	
		}
		// Smiley
		for(j=0;j<5;j++)
		{
			for(i=0;i<3;i++)
			{
				while (opto==1);
				while (opto==0);

				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x1f;	PORTC=0xf8;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xf7;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xef;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbb;	PORTC=0xdf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdb;	PORTC=0xdb;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xed;	PORTC=0xbb;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xed;	PORTC=0xbf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xed;	PORTC=0xbf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xed;	PORTC=0xb1;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdb;	PORTC=0xd1;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbb;	PORTC=0xdf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xef;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xf7; Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x1f;	PORTC=0xf8;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
			}
			for(i=0;i<6;i++)
			{
				while (opto==1);
				while (opto==0);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x1f;	PORTC=0xf8;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xf7;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xef;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xfb;	PORTC=0xdf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf9;	PORTC=0xd1;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xcd;	PORTC=0xb1;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x85;	PORTC=0xbf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x85;	PORTC=0xbf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xcd;	PORTC=0xb1;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf9;	PORTC=0xd1;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xfb;	PORTC=0xdf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xef;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xf7; Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x1f;	PORTC=0xf8;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
			}
		}
// Oiseau
		for(i=0;i<2;i++)
			{
				while (opto==1);
				while (opto==0);

				PORTA=0xfd;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xfb;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xfb;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xfb;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xfd;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
			}
			for(i=0;i<2;i++)
			{
				while (opto==1);
				while (opto==0);

				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfe;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x7f;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x7f;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfe;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
			}
			for(i=0;i<2;i++)
			{
				while (opto==1);
				while (opto==0);

				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xef;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xf7;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
			}

			for(i=0;i<2;i++)
			{
				while (opto==1);
				while (opto==0);

				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfb;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfd;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfe;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x7f;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x7f;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfe;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfd;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfb;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
			}
			for(i=0;i<2;i++)
			{
				while (opto==1);
				while (opto==0);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x7f;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfe;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x7f;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x7f;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfe;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x7f;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xbf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xdf;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
			}
			for(i=0;i<2;i++)
			{
				while (opto==1);
				while (opto==0);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xf7;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfb;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfd;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfe;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x7f;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfe;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfd;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfb;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xf7;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);		
			}
			for(i=0;i<2;i++)
			{
				while (opto==1);
				while (opto==0);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x7f;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfe;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfd;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfb;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfd;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfe;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfd;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfb;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfd;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfe;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0x7f;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
			}
			for(i=0;i<2;i++)
			{
				while (opto==1);
				while (opto==0);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xbf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xdf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xef;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xf7;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xfb;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xf7;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xef;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xdf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xbf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
			}
			for(i=0;i<2;i++)
			{
				while (opto==1);
				while (opto==0);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xff;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xf7;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xef;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xdf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xbf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xdf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xef;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xdf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xbf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xdf;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xef;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
				PORTA=0xff;	PORTC=0xf7;	Delay100TCYx(5);PORTA=0xff;PORTC=0xff;Delay1KTCYx(1);
			}
	}
	while(1);
}
